summaryrefslogtreecommitdiff
path: root/util/meson_aux/extra-install-cmd.sh
diff options
context:
space:
mode:
Diffstat (limited to 'util/meson_aux/extra-install-cmd.sh')
-rwxr-xr-xutil/meson_aux/extra-install-cmd.sh25
1 files changed, 25 insertions, 0 deletions
diff --git a/util/meson_aux/extra-install-cmd.sh b/util/meson_aux/extra-install-cmd.sh
new file mode 100755
index 0000000..79f44b0
--- /dev/null
+++ b/util/meson_aux/extra-install-cmd.sh
@@ -0,0 +1,25 @@
+#!/bin/bash -e
+
+# External command, intended to be called with meson.add_install_script() in meson.build
+
+# extra-install-cmd.sh <aclocal_macrodir>
+
+if [ -z "$DESTDIR" ]; then
+ # Inform the installer that M4 macro files installed in a directory
+ # not known to aclocal will not be picked up automatically.
+ acdir="$(aclocal --print-ac-dir 2>/dev/null || :)"
+ case ":$ACLOCAL_PATH:$acdir:" in
+ *":$1:"*)
+ ;;
+ *)
+ echo "NOTE"
+ echo "----"
+ echo "The mm-common Autoconf macro files have been installed in a different"
+ echo "directory than the system aclocal directory. In order for the installed"
+ echo "macros to be found, it may be necessary to add the mm-common include"
+ echo "path to the ACLOCAL_PATH environment variable:"
+ echo " ACLOCAL_PATH=\"\$ACLOCAL_PATH:$1\""
+ echo " export ACLOCAL_PATH"
+ ;;
+ esac
+fi